/*
 * Derived by the MIT X11R5 Mailbox widget which is
 * Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Original Mailbox widget Author:  Jim Fulton, MIT X Consortium
 *
 * Mailbox++ XPM additions-modifications: Dimitrios P. Bouras
 *           audio support: William K. W. Cheung
 */

#ifndef _Mailbox_XPM_h
#define _Mailbox_XPM_h
#include "version.h"
/*
 * Mailbox widget; looks a lot like the clock widget, don't it...
 */

/* resource names used by mailbox widget that aren't defined in StringDefs.h */

#ifndef _XtStringDefs_h_
#define XtNupdate "update"
#endif

/* command to exec */
#define XtNcheckCommand "checkCommand"
#define XtNonceOnly "onceOnly"

/* Int: volume for bell */
#define XtNvolume "volume"

/* filename resources for mail and nomail */
#define Nmailtool 	 "mailapp"
#define NmailXpmFile "mailXpmFile"
#define NmailSndFile "mailSndFile"
#define NnomailXpmFile "nomailXpmFile"

#define CMailTool 	 "MailApp"
#define CMailXpmFile "MailXpmFile"
#define CMailSndFile "MailSndFile"
#define CNomailXpmFile "NoMailXpmFile"

#define XtCCheckCommand "CheckCommand"
#define XtCVolume "Volume"


/* structures */

typedef struct _Mailbox_XPM_Rec *MailboxWidget;  /* see Mailbox++P.h */
typedef struct _Mailbox_XPM_ClassRec *MailboxWidgetClass;  /* see Mailbox++P.h */


extern WidgetClass mailboxWidgetClass;

#endif /* _Mailbox_XPM_h */
/* DON'T ADD STUFF AFTER THIS #endif */
